@charset "UTF-8";

html {
  font-size: 100%;
}
body {
  color: #000000;
  font-size: 1.5rem;
  background-image:url("haikei.jpg");
  animation: bgiLoop 5s linear infinite;
  background-repeat: repeat-y;
}
@keyframes bgiLoop {

  0% { background-position: 0 0;}

100% { background-position: -100px 200px;}

}
img {
    max-width: 100%;
  }
  li {
    list-style: none;
    font-size: 1.5rem;
    text-align: left;
  }
  .wrapper {
    max-width: 1080px;
    margin: 0 auto;
    padding: 0 4%;
    text-align: center;
  }
  a {
    text-decoration: none;
    font-weight: bold;
    position: relative;
    color: #000000;
  }
  a::after {
    position: absolute;
    bottom: -4px;
    left: 0;
    content: '';
    width: 100%;
    height: 3px;
    background: rgb(221, 28, 28);
    transform: scale(0, 1);
    transform-origin: left top;
    transition: transform .3s;
  }
  a:hover::after {
    transform: scale(1, 1);
  }

  /* ヘッダー */
#header{
    padding-bottom:30px;
    display: flex;
    justify-content: space-between;
    background-color: #ffffff;
  }
  .site-title{
    width: 30%;
  }
  /* 記事 */
article {
    display:flex;/*サイドバーとメインコンテンツを横並びにする                指定をした*/

  }
  /*サイドバー */
.side {
  background-color:#ffffff;
  padding:20px;
} 
li{
  margin-bottom: 15px;
}
  /*コンテンツ*/
#contents{
  width: 800px;
  padding:10px;
}
#contents li{
display: list-item;
font-size: 0.8em;
font-weight: bold;
}

/* フッター */
#footer{
  background-color: rgb(43, 47, 161);
  height: 50px;
}
#footer p{
  padding-top:20px;
  text-align: center;
  color: #e0edff;
}


/* マウスオーバー */
ul.over{
  list-style: none;   
  margin: 0;
  padding: 0;
}
.over li{
  position: relative;
}
.over img{
  height: auto;
  width: 100%;
  display: block;
}
.over div{
  position:absolute;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0);
  opacity: 0;
  left: 0;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  color: rgb(0, 0, 0);
  transition: .3s;
  padding:200px 0 20px 20px;
}
.over li:hover div{
  background: rgba(255, 255, 255, 0.5);
  opacity: 4;
}
  .humberger-menu{
    display: none;
  }

/* SP */

@media screen and (max-width: 420px){
  body{
  margin: 0 auto;
  background-image: none;
  }
  #header{
    margin-top:20px;
    }
  .wrapper{
    max-width: 380px;
  }
  .page-title{
    line-height: 30px;
    background-image:none;
}
  img {
    max-width: 100%;
  }
  .side{
    display: none;
  }
  #footer{
    height: 50px;
  }
  #footer p{
    font-size: small;
  }
  .humberger-menu{
    display: block;
  }
  

  
    /* js */
  
   /*----------------------------
  * アニメーション部分
  *----------------------------*/
  /* アニメーション前のメニューの状態 */
  /*----------------------------
  * メニュー開閉ボタン
  *----------------------------*/
  .menu-btn{
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 2;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgb(190, 3, 3);
    color: #fff;
  }
  
  /*----------------------------
  * メニュー本体
  *----------------------------*/
  .menu{
    position: fixed;
    top: 0;
    right: 0;
    z-index: 1;
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: rgb(50, 58, 202);
  }
  .menu__item{
    width: 100%;
    height: auto;
    padding: .5em 1em;
    text-align: center;
    color: #fff;
    box-sizing: border-box;
  }

  /*----------------------------
  * ほばーなし
  *----------------------------*/
  .over[disabled]{
    pointer-events: none;
  }
  #contents li{
    font-size: 0.5em;
  }
  .over div{
    padding:80px 0 10px 10px;
  }
  /*----------------------------
  * アニメーション部分
  *----------------------------*/
  
  /* アニメーション前のメニューの状態 */
  .menu{
    transform-origin: top left;
    transform: rotateZ(-90deg);
    transition: all .3s ease;
  }
  /* アニメーション後のメニューの状態 */
  .menu.is-active{
    transform: rotateZ(0deg);
  }
}

